> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terrareach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Bulk SMS



## OpenAPI

````yaml POST /v2/sms/bulk
openapi: 3.0.1
info:
  title: TerraReach API
  description: Documentation APIs v1.0
  version: '1.0'
servers:
  - url: https://api.terrareach.com/api
    description: Prod server url
security: []
tags:
  - name: API-Keys
    description: >-
      Consumer can manage API keys that can be used to send messages via a
      program
paths:
  /v2/sms/bulk:
    post:
      tags:
        - sms-controller
      operationId: sendBulkSMS
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendBulkSMSAPIRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SMSProjection'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    SendBulkSMSAPIRequest:
      required:
        - apiKey
        - mask
        - message
        - phoneNumbers
      type: object
      properties:
        mask:
          type: string
        message:
          type: string
        phoneNumbers:
          type: array
          items:
            type: string
        apiKey:
          type: string
    SMSProjection:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        senderId:
          type: string
        to:
          type: string
        type:
          type: string
          enum:
            - TRANSACTIONAL
            - CAMPAIGN
        initiatedMedium:
          type: string
          enum:
            - API_CALL
            - WEB_INTERFACE
        deliveryStatus:
          type: string
          enum:
            - SUCCESSFULLY_SUBMITTED_TO_SMSC
            - NUMBER_NOT_VALID_OR_CONNECTIVITY_FAILURE
            - DELIVERED
            - FAILED
    ProblemDetails:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string

````